#pragma semicolon 1

public Plugin:myinfo = 
{
	name = "Kick Logging",
	author = "",
	version = "1.0.1",
	url = "https://hlmod.ru/"
};

public OnPluginStart()
{
	HookEvent("player_disconnect", Event_, EventHookMode_Pre);
}

public Action:Event_(Handle:event, const String:name[], bool:silent)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if (client > 0 && IsClientInGame(client) && !IsFakeClient(client))
	{
		decl String:sReason[128];
		GetEventString(event, "reason", sReason, sizeof(sReason));
		
		if (StrContains(sReason, "by user", false) < 0)
		{
			decl String:sSteamId[32];
			sSteamId[0] = 0;
			GetClientAuthId(client, AuthId_Steam2, sSteamId, sizeof(sSteamId));
			
			decl String:sIp[16];
			sIp[0] = 0;
			GetClientIP(client, sIp, sizeof(sIp), true);
			
			LogToFile("addons/sourcemod/logs/KickedPlayers.log", "Player %N <%s> <%s> disconnected due \"%s\"",
				client, sSteamId, sIp, sReason);
		}
	}
	return Plugin_Continue;
}